Skip to main content
`Ctrl`+`K`

# TaoADMMSetRegularizerObjectiveAndGradientRoutine

Sets the user-defined regularizer call-back function

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoADMMSetRegularizerObjectiveAndGradientRoutine(Tao tao, PetscErrorCode (*func)(Tao tao, Vec u, PetscReal *f, Vec g, PetscCtx ctx), PetscCtx ctx)

Collective

## Input Parameters

- tao - the Tao context

- func - function pointer for the regularizer value and gradient evaluation

- ctx - application context for the regularizer

## Calling sequence of func

- tao - the `Tao` context

- u - in current input solution

- f - the contribution to the objective function

- g - the contribution to the gradient

- ctx - the optional application context

## See Also

`TAOADMM`

## Level

advanced

## Location

src/tao/constrained/impls/admm/admm.c

## Examples

src/tao/constrained/tutorials/tomographyADMM.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages